Zonal statistics  "not a sequence" error

2017-02-14 05:04 AM - Erik Stange

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24101

Description

When attempting to run Zonal statistics from Processing Toolbox (QGIS geoalgorithm), dialog window reads "Not a sequence"

Log output reads as follows:

2017-02-14T10:11:56    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

            Traceback (most recent call last):|  File "C:/Users/erik.stange/.qgis2/python/plugins\\processing\\core\\GeoAlgorithm.py", line 227,

in execute|    self.processAlgorithm(progress)|  File

"C:/Users/(username)/.qgis2/python/plugins\\processing\\algs\\qgis\\ZonalStatistics.py", line 113, in processAlgorithm|    (startColumn,

startRow) = mapToPixel(xMin, yMax, geoTransform)|  File "C:/Users/(username)/.qgis2/python/plugins\\processing\\tools\

aster.py", line 68, in mapToPixel|    gdal.InvGeoTransform(geoTransform)[1], mX, mY)|TypeError: not a sequence|

Zonal statistics algorithm from "Raster" dropdown menu functions without issue.

History

#1 - 2017-03-06 02:44 AM - Ulrich Berger

I found out, that after simply replacing the old outdated

=>>    file .../.qgis2/python/plugins/processing/tools/raster.py

with the newest file downloaded from the github-qgis-master-branch

=>>    (https://raw.githubusercontent.com/qgis/QGIS/master/python/plugins/processing/tools/raster.py)

the Zonal statistics-Tool from the  Processing Toolbox runs without errors!

#2 - 2017-03-06 04:15 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Ulrich Berger wrote:

I found out, that after simply replacing the old outdated

=>>    file .../.qgis2/python/plugins/processing/tools/raster.py

with the newest file downloaded from the github-qgis-master-branch

=>>    (https://raw.githubusercontent.com/qgis/QGIS/master/python/plugins/processing/tools/raster.py)
the Zonal statistics-Tool from the  Processing Toolbox runs without errors!

Processing is no more updated (as plugin) within the life of a speciic release, so there MUST be no more

.qgis2/python/plugins/processing

folder

If there is then you have a old Processing version, masking the new one shipped bu default, and likely to not work as expected.

#3 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown
